<html>

<head>
  <meta charset="UTF-8">
  <title>ТПР. Лаба 1</title>
</head>

<body>
  <div class="container-fluid">
    <!-- граф Cytoscape -->
    <div class="row mb-4">
      <div class="col-12"></div>
    </div>

    <!-- таблица с результатами -->
    <div class="row mb-4">
      <div class="col-12">
        <div class="table-responsive">
          <table class="table table-sm" id="results-table"></table>
        </div>
      </div>
    </div>

    <!-- параметры для алгоритма -->
    <div class="row">

      <div class="col-5">

        <div class="card mb-3">
          <div class="card-body">
            <form class="mb-0">
              <!-- количество состояний -->
              <div class="form-group row m-0">
                <label for="input-state-count" class="col-form-label-sm col pl-0"># состояний</label>

                <div class="col-sm-12 col-md-3 px-0">
                  <input type="number" class="form-control form-control-sm" id="input-state-count" min="1" max="5" step="1"
                    value="2">
                </div>

                <div class="col-sm-12 col-md-auto pr-0">
                  <button id="button-state-count-apply" type="button" class="btn btn-secondary btn-sm w-100">Принять</button>
                </div>
              </div>

              <!-- количество стратегий -->
              <div class="form-group row m-0">
                <label for="input-strategy-count" class="col-form-label-sm col pl-0"># стратегий</label>

                <div class="col-sm-12 col-md-3 px-0">
                  <input type="number" class="form-control form-control-sm" id="input-strategy-count" min="1" max="5" step="1"
                    value="2">
                </div>

                <div class="col-sm-12 col-md-auto pr-0">
                  <button id="button-strategy-count-apply" type="button" class="btn btn-secondary btn-sm w-100">Принять</button>
                </div>
              </div>
            </form>
          </div>
        </div>

        <div class="card mb-3">
          <div class="card-header">
            Стратегии
          </div>

          <!-- список стратегий -->
          <div id="strategy-list" class="list-group list-group-flush" role="tablist"></div>
        </div>

        <!-- количество шагов моделирования -->
        <div class="card mb-3">
          <div class="card-body">
            <div class="form-group">
              <label for="input-step-count" class="col-form-label-sm">Количество шагов моделирования</label>
              <input type="number" class="form-control form-control-sm" id="input-step-count" min="1" step="1" value="5">
            </div>

            <button id="button-start" type="button" class="btn btn-primary">Рассчитать</button>
          </div>
        </div>

      </div>

      <!-- стратегия - название и матрицы -->
      <div class="col">
        <div class="row">
          <div class="col-12 mb-4">
            <div class="card">
              <div class="card-body px-1">
                <div class="form-group row m-0">
                  <label for="input-step-count" class="col-form-label col-auto">Название стратегии</label>

                  <div class="col">
                    <input type="text" class="form-control" id="input-strategy-name">
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 mb-4">
            <div class="card">
              <div class="card-body">
                <p>Матрица вероятностей P</p>
                <form id="form-probability-matrix"></form>
              </div>
            </div>
          </div>

          <div class="col-12">
            <div class="card">
              <div class="card-body">
                <p>Матрица доходностей R</p>
                <form id="form-yield-matrix"></form>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</body>

</html>